GDCM: vtkGDCMThreadedImageReader2 Class Reference

GDCM 3.2.6

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkGDCMThreadedImageReader2 Class Reference

`#include <vtkGDCMThreadedImageReader2.h>`

Inheritance diagram for vtkGDCMThreadedImageReader2:
[legend]
Collaboration diagram for vtkGDCMThreadedImageReader2:
[legend]

## Public Member Functions
virtual const char * | GetFileName (int i=0)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetFileName (const char *filename)
virtual void | SetFileNames (vtkStringArray *)
int | SplitExtent (int splitExt[6], int startExt[6], int num, int total)
| vtkBooleanMacro (FileLowerLeft, int)
| vtkBooleanMacro (LoadOverlays, int)
| vtkBooleanMacro (UseShiftScale, int)
| vtkGetMacro (DataScalarType, int)
| vtkGetMacro (FileLowerLeft, int)
| vtkGetMacro (LoadOverlays, int)
| vtkGetMacro (NumberOfOverlays, int)
| vtkGetMacro (NumberOfScalarComponents, int)
| vtkGetMacro (Scale, double)
| vtkGetMacro (Shift, double)
| vtkGetMacro (UseShiftScale, int)
| vtkGetObjectMacro (FileNames, vtkStringArray)
| vtkGetVector3Macro (DataOrigin, double)
| vtkGetVector3Macro (DataSpacing, double)
| vtkGetVector6Macro (DataExtent, int)
| vtkSetMacro (DataScalarType, int)
| vtkSetMacro (FileLowerLeft, int)
| vtkSetMacro (LoadOverlays, int)
| vtkSetMacro (NumberOfScalarComponents, int)
| vtkSetMacro (Scale, double)
| vtkSetMacro (Shift, double)
| vtkSetMacro (UseShiftScale, int)
| vtkSetVector3Macro (DataOrigin, double)
| vtkSetVector3Macro (DataSpacing, double)
| vtkSetVector6Macro (DataExtent, int)
| vtkTypeMacro (vtkGDCMThreadedImageReader2, vtkThreadedImageAlgorithm)

## Static Public Member Functions
static vtkGDCMThreadedImageReader2 * | New ()

## Protected Member Functions
| vtkGDCMThreadedImageReader2 ()
| ~vtkGDCMThreadedImageReader2 ()
int | RequestInformation (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
void | ThreadedRequestData (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector, vtkImageData ***inData, vtkImageData **outData, int outExt[6], int id)

## Constructor & Destructor Documentation

## ◆ vtkGDCMThreadedImageReader2()

vtkGDCMThreadedImageReader2::vtkGDCMThreadedImageReader2 | ( |  | ) |
| protected

Referenced by New(), ThreadedRequestData(), and vtkTypeMacro().

## ◆ ~vtkGDCMThreadedImageReader2()

vtkGDCMThreadedImageReader2::~vtkGDCMThreadedImageReader2 | ( |  | ) |
| protected

## Member Function Documentation

## ◆ GetFileName()

virtual const char * vtkGDCMThreadedImageReader2::GetFileName | ( | int | i = 0 | ) |
| virtual

## ◆ New()

vtkGDCMThreadedImageReader2 * vtkGDCMThreadedImageReader2::New | ( |  | ) |
| static

References vtkGDCMThreadedImageReader2().

## ◆ PrintSelf()

virtual void vtkGDCMThreadedImageReader2::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )
| virtual

## ◆ RequestInformation()

int vtkGDCMThreadedImageReader2::RequestInformation | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector )
| protected

## ◆ SetFileName()

virtual void vtkGDCMThreadedImageReader2::SetFileName | ( | const char * | filename | ) |
| virtual

## ◆ SetFileNames()

virtual void vtkGDCMThreadedImageReader2::SetFileNames | ( | vtkStringArray * |  | ) |
| virtual

## ◆ SplitExtent()

int vtkGDCMThreadedImageReader2::SplitExtent | ( | int | splitExt[6],
|  | int | startExt[6],
|  | int | num,
|  | int | total )

## ◆ ThreadedRequestData()

void vtkGDCMThreadedImageReader2::ThreadedRequestData | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector,
|  | vtkImageData *** | inData,
|  | vtkImageData ** | outData,
|  | int | outExt[6],
|  | int | id )
| protected

References vtkGDCMThreadedImageReader2().

## ◆ vtkBooleanMacro() [1/3]

vtkGDCMThreadedImageReader2::vtkBooleanMacro | ( | FileLowerLeft | ,
|  | int | )

## ◆ vtkBooleanMacro() [2/3]

vtkGDCMThreadedImageReader2::vtkBooleanMacro | ( | LoadOverlays | ,
|  | int | )

## ◆ vtkBooleanMacro() [3/3]

vtkGDCMThreadedImageReader2::vtkBooleanMacro | ( | UseShiftScale | ,
|  | int | )

## ◆ vtkGetMacro() [1/8]

vtkGDCMThreadedImageReader2::vtkGetMacro | ( | DataScalarType | ,
|  | int | )

## ◆ vtkGetMacro() [2/8]

vtkGDCMThreadedImageReader2::vtkGetMacro | ( | FileLowerLeft | ,
|  | int | )

## ◆ vtkGetMacro() [3/8]

vtkGDCMThreadedImageReader2::vtkGetMacro | ( | LoadOverlays | ,
|  | int | )

## ◆ vtkGetMacro() [4/8]

vtkGDCMThreadedImageReader2::vtkGetMacro | ( | NumberOfOverlays | ,
|  | int | )

## ◆ vtkGetMacro() [5/8]

vtkGDCMThreadedImageReader2::vtkGetMacro | ( | NumberOfScalarComponents | ,
|  | int | )

## ◆ vtkGetMacro() [6/8]

vtkGDCMThreadedImageReader2::vtkGetMacro | ( | Scale | ,
|  | double | )

## ◆ vtkGetMacro() [7/8]

vtkGDCMThreadedImageReader2::vtkGetMacro | ( | Shift | ,
|  | double | )

## ◆ vtkGetMacro() [8/8]

vtkGDCMThreadedImageReader2::vtkGetMacro | ( | UseShiftScale | ,
|  | int | )

## ◆ vtkGetObjectMacro()

vtkGDCMThreadedImageReader2::vtkGetObjectMacro | ( | FileNames | ,
|  | vtkStringArray | )

## ◆ vtkGetVector3Macro() [1/2]

vtkGDCMThreadedImageReader2::vtkGetVector3Macro | ( | DataOrigin | ,
|  | double | )

## ◆ vtkGetVector3Macro() [2/2]

vtkGDCMThreadedImageReader2::vtkGetVector3Macro | ( | DataSpacing | ,
|  | double | )

## ◆ vtkGetVector6Macro()

vtkGDCMThreadedImageReader2::vtkGetVector6Macro | ( | DataExtent | ,
|  | int | )

## ◆ vtkSetMacro() [1/7]

vtkGDCMThreadedImageReader2::vtkSetMacro | ( | DataScalarType | ,
|  | int | )

## ◆ vtkSetMacro() [2/7]

vtkGDCMThreadedImageReader2::vtkSetMacro | ( | FileLowerLeft | ,
|  | int | )

## ◆ vtkSetMacro() [3/7]

vtkGDCMThreadedImageReader2::vtkSetMacro | ( | LoadOverlays | ,
|  | int | )

## ◆ vtkSetMacro() [4/7]

vtkGDCMThreadedImageReader2::vtkSetMacro | ( | NumberOfScalarComponents | ,
|  | int | )

## ◆ vtkSetMacro() [5/7]

vtkGDCMThreadedImageReader2::vtkSetMacro | ( | Scale | ,
|  | double | )

## ◆ vtkSetMacro() [6/7]

vtkGDCMThreadedImageReader2::vtkSetMacro | ( | Shift | ,
|  | double | )

## ◆ vtkSetMacro() [7/7]

vtkGDCMThreadedImageReader2::vtkSetMacro | ( | UseShiftScale | ,
|  | int | )

## ◆ vtkSetVector3Macro() [1/2]

vtkGDCMThreadedImageReader2::vtkSetVector3Macro | ( | DataOrigin | ,
|  | double | )

## ◆ vtkSetVector3Macro() [2/2]

vtkGDCMThreadedImageReader2::vtkSetVector3Macro | ( | DataSpacing | ,
|  | double | )

## ◆ vtkSetVector6Macro()

vtkGDCMThreadedImageReader2::vtkSetVector6Macro | ( | DataExtent | ,
|  | int | )

## ◆ vtkTypeMacro()

vtkGDCMThreadedImageReader2::vtkTypeMacro | ( | vtkGDCMThreadedImageReader2 | ,
|  | vtkThreadedImageAlgorithm | )

References vtkGDCMThreadedImageReader2().

The documentation for this class was generated from the following file:

- vtkGDCMThreadedImageReader2.h